Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class AbstractPreferences

    java.lang.Object
      portlets.compoze.groupware.pref.AbstractPreferences

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AddressBookPreferences, CalendarPreferences, GroupwarePreferences, HomePreferences, MailPreferences, TasksPreferences

public abstract class AbstractPreferences
extends java.lang.Object
implements java.io.Serializable

This abstract class provides the base for holder user preferences. For changes to be committed, the `update` method must be called.

See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, PreferenceKey[] keys, java.lang.String sInstanceLabel)` Constructor.

Method Summary
`java.lang.String` | `getInstanceLabel()` Gets the instance label.
`protected java.lang.String` | `getPreference(PreferenceKey key)` Gets the preference.
`protected void` | `setPreference(PreferenceKey key, boolean bValue)` Sets the preference.
`protected void` | `setPreference(PreferenceKey key, int iValue)` Sets the preference.
`protected void` | `setPreference(PreferenceKey key, java.lang.String sValue)` Sets the preference.
`void` | `update(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)` Updates and commits the preferences.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPreferences

    protected AbstractPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                  PreferenceKey[] keys,
                                  java.lang.String sInstanceLabel)
                           throws GroupwareException

  Constructor.

Parameters:
  `userProfileWrapper` - the user profile (may not be `null`)

Method Detail

### setPreference

    protected void setPreference(PreferenceKey key,
                                 java.lang.String sValue)

  Sets the preference.

  Parameters:
    `key` - the preference key
    `sValue` - the preference value or `null` to remove preference

### setPreference

    protected void setPreference(PreferenceKey key,
                                 int iValue)

  Sets the preference.

  Parameters:
    `key` - the preference key
    `iValue` - the preference value

### setPreference

    protected void setPreference(PreferenceKey key,
                                 boolean bValue)

  Sets the preference.

  Parameters:
    `key` - the preference key
    `bValue` - the preference value

### getPreference

    protected java.lang.String getPreference(PreferenceKey key)

  Gets the preference.

  Parameters:
    `key` - the preference key (may not be `null`)
  Returns:
    the preference value or `null` if not set

### update

    public void update(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)
                throws GroupwareException

  Updates and commits the preferences.

  Parameters:
    `userProfileWrapper` - the user profile (may not be `null`)
  Throws:
    `GroupwareException`

### getInstanceLabel

    public java.lang.String getInstanceLabel()

  Gets the instance label.

  Returns:
    the instance label

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.